Skip to main content
GET
/
api
/
end_user_emails
Get EndUser emails
curl --request GET \
  --url https://app.herondata.io/api/end_user_emails \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/end_user_emails"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/end_user_emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_meta": {
    "count": 123,
    "has_more": true,
    "page": 123,
    "total_pages": 123
  },
  "emails": [
    {
      "email": {
        "cc_addresses": [
          "<string>"
        ],
        "created": "2023-11-07T05:31:56Z",
        "date_sent": "2023-11-07T05:31:56Z",
        "date_sent_string": "<string>",
        "from_address": "<string>",
        "from_address_domain": "<string>",
        "from_name": "<string>",
        "heron_id": "<string>",
        "html_body": "<string>",
        "html_or_text_body": "<string>",
        "is_reply": true,
        "reply_to": "<string>",
        "subject": "<string>",
        "subject_cleaned": "<string>",
        "text_body": "<string>",
        "to_addresses": [
          "<string>"
        ],
        "viewer_url": "<string>"
      },
      "end_user_heron_id": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

page
integer
required
Required range: x >= 0
limit
integer
required
Required range: x >= 1

Response

200 - application/json

OK

_meta
object
emails
object[]